﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Interactivity;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace Demo
{
    public class ButtonBehavior : Behavior<Button>
    {

        private Button AssociatedButton
        {
            get { return AssociatedObject as Button; }
        }

        public static readonly DependencyProperty ParentDGProperty =
                               DependencyProperty.Register("ParentDG",typeof(XamDataGrid),typeof(ButtonBehavior),new FrameworkPropertyMetadata(null));

        public XamDataGrid ParentDG
        {
            get { return (XamDataGrid)GetValue(ParentDGProperty); }
            set { SetValue(ParentDGProperty, value); }
        }


        protected override void OnAttached()
        {
            base.OnAttached();

            AssociatedButton.MouseLeftButtonUp += AssociatedButtonMouseLeftButtonUp;
            ParentDG.RecordFilterChanged += ParentDGRecordFilterChanged;
        }

        private void AssociatedButtonMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            //To Do
        }

        private void ParentDGRecordFilterChanged(object sender, RecordFilterChangedEventArgs e)
        {
            //To Do
        }

     
    }
}
